Subject: Re: [RFC][BNX2X]: New driver for Broadcom 10Gb Ethernet.

From: "Eliezer Tamir" <[email-masked]>
Date: Thu, 02 Aug 2007 21:13:45 +0300

Jeff, Roland,

Thanks for taking a look.

Jeff Garzik wrote:
> Roland Dreier wrote:
>>  > > +    { PCI_VENDOR_ID_BROADCOM, PCI_DEVICE_ID_NX2_5710,
>>  > > +        PCI_ANY_ID, PCI_ANY_ID, 0, 0, BCM5710 },
>>
>> FWIW, this could be neater as
>>
>>     { PCI_VDEVICE(BROADCOM, PCI_DEVICE_ID_NX2_5710), BCM5710 }

OK

> Yes.  And additionally, I prefer (but not require) that people directly 
> use a hexidecimal constant in the PCI ID table for device ID, if that is 
> the only place in the entire codebase referring to that PCI device ID.
> 
> Using a named constant for a single-use PCI device ID merely aggrevates 
> include/linux/pci_ids.h patching headache for what is ultimately an 
> arbitrary number [usually] picked out of thin air by the hw vendor.
> 
>     Jeff

For now it is the only place used, but this will change very soon, once 
we have several flavors of the chip out. then we will have to handle 
each in a slightly different manner.

Eliezer